Package org.eclipse.lemminx.extensions.relaxng.jing.toremove

## Class MySchemaReaderImpl

- java.lang.Object
- - com.thaiopensource.validate.AbstractSchemaReader
  - - org.eclipse.lemminx.extensions.relaxng.jing.toremove.MySchemaReaderImpl

All Implemented Interfaces:
  `com.thaiopensource.validate.SchemaReader`

Direct Known Subclasses:
  `MyCompactSchemaReader`, `MySAXSchemaReader`

    public abstract class MySchemaReaderImpl
    extends com.thaiopensource.validate.AbstractSchemaReader

This class is a copy of `SchemaReaderImpl` adapted for LemMinx. This class could be removed once issues

- https://github.com/relaxng/jing-trang/pull/273
- https://github.com/relaxng/jing-trang/issues/275

will be fixed. See comment with ' UPDATED by LemMinx'

Author:
  Angelo ZERR

### Field Summary

Fields
`static com.thaiopensource.util.PropertyId<com.thaiopensource.relaxng.pattern.SchemaPatternBuilder>` `SCHEMA_PATTERN_BUILDER`

### Fields inherited from interface com.thaiopensource.validate.SchemaReader

`BASE_URI`

### Constructor Summary

Constructors
`MySchemaReaderImpl()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods

`protected abstract com.thaiopensource.relaxng.parse.Parseable<com.thaiopensource.relaxng.pattern.Pattern,​com.thaiopensource.relaxng.pattern.NameClass,​Locator,​com.thaiopensource.util.VoidValue,​com.thaiopensource.relaxng.pattern.CommentListImpl,​com.thaiopensource.relaxng.pattern.AnnotationsImpl>`

`createParseable​(SAXSource source, com.thaiopensource.resolver.xml.sax.SAXResolver resolver, ErrorHandler eh, com.thaiopensource.util.PropertyMap properties)`

`com.thaiopensource.validate.Schema` `createSchema​(SAXSource source, com.thaiopensource.util.PropertyMap properties)`
`com.thaiopensource.validate.Option` `getOption​(String uri)`

### Methods inherited from class com.thaiopensource.validate.AbstractSchemaReader

`createSchema`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SCHEMA_PATTERN_BUILDER

    public static final com.thaiopensource.util.PropertyId<com.thaiopensource.relaxng.pattern.SchemaPatternBuilder> SCHEMA_PATTERN_BUILDER

### Constructor Detail

#### MySchemaReaderImpl

    public MySchemaReaderImpl()

### Method Detail

#### createSchema

    public com.thaiopensource.validate.Schema createSchema​(SAXSource source,
                                                           com.thaiopensource.util.PropertyMap properties)
                                                    throws IOException,
                                                           SAXException,
                                                           com.thaiopensource.validate.IncorrectSchemaException

Throws:
  `IOException`
  `SAXException`
  `com.thaiopensource.validate.IncorrectSchemaException`

#### getOption

    public com.thaiopensource.validate.Option getOption​(String uri)

#### createParseable

    protected abstract com.thaiopensource.relaxng.parse.Parseable<com.thaiopensource.relaxng.pattern.Pattern,​com.thaiopensource.relaxng.pattern.NameClass,​Locator,​com.thaiopensource.util.VoidValue,​com.thaiopensource.relaxng.pattern.CommentListImpl,​com.thaiopensource.relaxng.pattern.AnnotationsImpl> createParseable​(SAXSource source,
                                                                                                                                                                                                                                                                                                                                                         com.thaiopensource.resolver.xml.sax.SAXResolver resolver,
                                                                                                                                                                                                                                                                                                                                                         ErrorHandler eh,
                                                                                                                                                                                                                                                                                                                                                         com.thaiopensource.util.PropertyMap properties)
                                                                                                                                                                                                                                                                                                                                                  throws SAXException

Throws:
  `SAXException`